Bug 1477602 - Inconsistent behavior of cancel and submit regarding search filters
Summary: Inconsistent behavior of cancel and submit regarding search filters
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Usability
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: Kavita
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On:
Blocks: 1317008
TreeView+ depends on / blocked
 
Reported: 2017-08-02 12:47 UTC by orabin
Modified: 2021-03-11 15:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-28 19:35:14 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20491 0 Normal Duplicate Inconsistent behavior of cancel and submit regarding search filters 2020-01-13 10:25:20 UTC

Description orabin 2017-08-02 12:47:56 UTC
There are 3 different behaviors for preserving search filters on 3 index pages:

Puppetclasses was fixed to save the search filter after edit if the submit or cancel button is clicked by: https://bugzilla.redhat.com/show_bug.cgi?id=1285013.

Hosts never save the search filter. The submit on hosts does not go back to the index page so there is no need to save it but the cancel button should probably act the same as in puppetclass.

Hostgroups saves the filter when clicking cancel but not submit.

There should be consistent behavior in the action the submit/cancel buttons use for all three.

Comment 1 Satellite Program 2017-08-03 08:02:27 UTC
Upstream bug assigned to kgaikwad

Comment 4 Satellite Program 2017-08-04 12:31:11 UTC
Upstream bug assigned to kgaikwad

Comment 5 Bryan Kearney 2019-02-07 12:09:37 UTC
The Satellite Team is attempting to provide an accurate backlog of bugzilla requests which we feel will be resolved in the next few releases. We do not believe this bugzilla will meet that criteria, and have plans to close it out in 1 month. This is not a reflection on the validity of the request, but a reflection of the many priorities for the product. If you have any concerns about this, feel free to contact Red Hat Technical Support or your account team. If we do not hear from you, we will close this bug out. Thank you.

Comment 6 Bryan Kearney 2019-02-28 19:35:14 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact Red Hat Technical Support. Thank you.


Note You need to log in before you can comment on or make changes to this bug.